<script>
  import Calendar from "@toast-ui/calendar"
  import "@toast-ui/calendar/dist/toastui-calendar.min.css" // Stylesheet for calendar
  import { onMount } from "svelte"
  let isBrowser = typeof window !== "undefined"
  export let options = {}

  console.log(options)

  let calendarElement
  let calendarInstance

  onMount(() => {
    calendarInstance = new Calendar(calendarElement, options)
  })

  export { calendarInstance as calendar }
</script>

{#if isBrowser}
  <div bind:this={calendarElement} />
{/if}

<style>
  div {
    height: 100%; /* Take up full height of its parent */
  }
</style>
